Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whois
Class EPPWhoisInf

    java.lang.Object
      com.verisign.epp.codec.whois.EPPWhoisInf

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPWhoisInf

extends java.lang.Object
implements EPPCodecComponent

Extension to the domain info command to specify whether or not the whois info response data defined in `EPPWhoisInfData` is desired. There is a single flag attribute that specifies the preference. A flag attribute value of `false` has the same result of not including the `EPPWhoisInfo` extension.

See Also:
  `EPPWhoisInfData`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the whois info extension tag

Constructor Summary
`EPPWhoisInf()` Create an EPPWhoisInf instance
`EPPWhoisInf(boolean aFlag)` Create a EPPWhoisInf intance with the flag value
`EPPWhoisInf(java.lang.Boolean aFlag)` Create a EPPWhoisInf intance with the flag value

Method Summary
`java.lang.Object` | `clone()` Clone `EPPWhoisInf`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPIdnLangExtCrete component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPWhoisInf` compare.
`java.lang.Boolean` | `getFlag()` Returns the flag value
`void` | `setFlag(java.lang.Boolean aFlag)` Sets the flag Code

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the whois info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPWhoisInf

    public EPPWhoisInf()

  Create an EPPWhoisInf instance

### EPPWhoisInf

    public EPPWhoisInf(boolean aFlag)

  Create a EPPWhoisInf intance with the flag value

  Parameters:
    `aFlag` - `true` to get the `EPPWhoisInfData` extension in the response;`false` otherwise

### EPPWhoisInf

    public EPPWhoisInf(java.lang.Boolean aFlag)

  Create a EPPWhoisInf intance with the flag value

  Parameters:
    `aFlag` - `true` to get the `EPPWhoisInfData` extension in the response;`false` otherwise

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPWhoisInf`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPWhoisInf`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPIdnLangExtCrete component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPWhoisInf` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPWhoisInf` instance to compare with
  Returns:
    true if equal false otherwise

### getFlag

    public java.lang.Boolean getFlag()

  Returns the flag value

  Returns:
    the flag value if set;`null` otherwise

### setFlag

    public void setFlag(java.lang.Boolean aFlag)

  Sets the flag Code

  Parameters:
    `aFlag` - The flag value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.